# Activities Object

> Source: https://truto.one/docs/api-reference/unified-user-directory-api/activities/

Schema for the `Activities` resource in **Unified User Directory API**.

## Properties

- **`id`** _(string, required)_
  Unique identifier for the activity.
- **`actor`** _(object)_
  Actor who performed the activity.
  - **`type`** _(string)_
    Type of the actor.
    Allowed: `user`, `system`, `anonymous`
  - **`user`** _(object)_
    User who performed the activity.
    - **`id`** _(string)_
      Unique identifier for the user.
- **`organization`** _(string)_
  Unique identifier for the organization the activity belongs to.
- **`group`** _(string)_
  Unique identifier for the group the activity belongs to.
- **`description`** _(string)_
  Description for the activity.
- **`action`** _(string)_
  Action performed by the user. If no clear mapping is available, then the raw value is returned.
  Allowed: `login`, `login_failed`, `logout`, `user_invited`, `user_created`, `user_joined`, `user_deactivated`, `user_deleted`, `user_updated`, `create`, `destroy`, `exported` (+1 more)
- **`entity`** _(string)_
  Unique identifier for the entity on which the action was performed.
- **`entity_type`** _(string)_
  Type of the entity on which the action was performed.
- **`context`** _(object)_
  Context of the activity.
  - **`ip_address`** _(string)_
    IP address of the user who performed the activity.
  - **`user_agent`** _(string)_
    User agent of the user who performed the activity.
  - **`authentication_method`** _(string)_
    Authentication method used by the user.
- **`created_at`** _(string)_
  Date and time when the activity was created.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/user-directory/activities](/docs/api-reference/unified-user-directory-api/activities/list) — List Activities
- [GET /unified/user-directory/activities/{id}](/docs/api-reference/unified-user-directory-api/activities/get) — Get Activities
